#ifndef _Handle_PColgp_VArrayNodeOfFieldOfHArray2OfLin2d_HeaderFile
#define _Handle_PColgp_VArrayNodeOfFieldOfHArray2OfLin2d_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColgp_VArrayNodeOfFieldOfHArray2OfLin2d;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d);

class Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)(const Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)(const PColgp_VArrayNodeOfFieldOfHArray2OfLin2d* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)& operator=(const Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d)& operator=(const PColgp_VArrayNodeOfFieldOfHArray2OfLin2d* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_VArrayNodeOfFieldOfHArray2OfLin2d* operator->() const 
     {
      return (PColgp_VArrayNodeOfFieldOfHArray2OfLin2d *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_VArrayNodeOfFieldOfHArray2OfLin2d) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
